@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;600;700;800&display=swap');

body{
    font-family: 'Open Sans', sans-serif;
    --azul-nlhpc: #25408f;
    --azul-nlhpc-dark: #01093d;
    --rojo-nlhpc: #c9473f;
    --text-dark: #383e44;
    /* color: #424242 */
    color: var(--text-dark);
}

.nlhpc-ham{
    font-size: xx-large;
    transition: all 0.4s ease-in-out;
}

.nlhpc-containermenu{
    background-color:var(--azul-nlhpc);
}

.nlhpc-containermenu-end{
    background-color:var(--azul-nlhpc);
}

.nlhpc-logo img{
    height:58px;
}

.nlhpc-containerham{
    background-color:#01093d;
}

.nlhpc-idfecha{
    font-size: 12px;
}

.nlhpc-caja{
    background-color: #fff;
    border-radius: 5px;
    /* min-height: 100%; */
    height:100%;

    /* display: inline-flex;
        justify-content: center;
        align-items: center;
        width: 100%; */
}

.nlhpc-caja-caja{
    color:var(--text-dark);

    /* width: 100%; */
}

.nlhpc-caja-title{
    font-size: 13px;
}

.nlhpc-caja-mid{
    font-size: 36px;
}

.nlhpc-caja-num{
    font-weight: 600;
}

.nlhpc-caja-bar .progress{
    border-radius: 0px;
    min-height: 48px;
    background-color: #cbcbcb;
}

.nlhpc-caja-bar .progress .progress-bar{
    color:#000732;
    background-color: #678ff3;
    font-weight: 600;
    font-size: 16px;
    font-weight: 600;
}

.nlhpc-ham i{
    padding:4px;
    border: 2px white solid;
    border-radius: 5px;
}

.nlhpc-links-header img{
    height:25px;
}

.nlhpc-links-header li{
    margin-right: 12px;
    background-color: #000732;
    border-radius: 10px;
}

.nlhpc-links-header .dropdown-menu li{
    background-color: #fff;
}

.nlhpc-links-header .dropdown-menu li a{
    text-decoration: none;
    font-size:12px;
    color: #000;
}

.nlhpc-links-header .dropdown-menu li .notif:hover{
    background-color: #fff;
}

.nlhpc-links-header .dropdown-menu li .vertodas:hover{
    background-color: #fff;
}

.nlhpc-links-header .dropdown-menu li .vertodas a{
    font-size:14px;
}


.nlhpc-links-header .dropdown-menu li .hr{
    margin-left: 0 !important;
    margin-right: 0 !important;
}


.nlhpc-noticias{
    background-color: #e6e6e6;
}

.nlhpc-noticias-1, .nlhpc-noticias-l, .nlhpc-noticias-r{
    background-color: #fff;
    padding-top: 2rem;
    padding-bottom: 2rem;
}

.nlhpc-noticias-2{
    border-left: 3px dotted #091a5e;
    /* border-right: 3px dotted #091a5e; */
}

.nlhpc-triang{
    max-height:48px;
}

.nlhpc-numberCircle {
    border-radius: 50%;
    width: 48px;
    height: 48px;
    padding: 8px;

    background: #c9473f;
    color: #fff;
    text-align: center;

    font-size: 31px;
    line-height: 34px;
    font-weight: 800;
}

.carousel-item .nlhpc-numberCircle{
    width: 64px;
    height: 64px;
    font-size: 45px;
    line-height: 45px;
}

.nlhpc-usuario{
    font-size:12px;
}

.carousel-item .nlhpc-usuario{
    font-size:14px;
}

.nlhpc-usuario-uso{
    font-size:14px;
}

.nlhpc-separador{
    height: 15px;
}

.nlhpc-separador-izq{
    background-color: var(--rojo-nlhpc);
}

.nlhpc-separador-der{
    background-color: var(--azul-nlhpc-dark);
}

.nlhpc-footer2{
    background-color: #000732;
}

.nlhpc-copyright{
    font-size: 12px;
    font-weight: 600;
}

.nlhpc-main{
    background-color:#ECF0F5;
    /*background-image:url("../img/fondo.png");*/
    background-size: cover;
}

.nlhpc-logocolor img{
    width:200px;
    max-width: 100%;
}

.nlhpc-columnasfooter{
    font-size: 12px;
}

.nlhpc-columnasfooter h5{
    color:#3a569c;
    font-weight: 700;
}

.nlhpc-columnasfooter a{
    color:#5f5f5f;
    text-decoration: none;
}

.nlhpc-table.table {
    border-collapse: separate;
    border-spacing: 0;
    font-size: 13px;
}
.nlhpc-table.table tr th, table tr td {
    border-right: 1px solid #bbb;
    border-bottom: 1px solid #bbb;
}
.nlhpc-table.table tr th:first-child,
.nlhpc-table.table tr td:first-child {
    border-left: 1px solid #bbb;
}
.nlhpc-table.table tr th {
    border-top: 1px solid #bbb;
}


.nlhpc-table.table thead th{
    background-color:#25408f;
    color: white;
}
  /* top-left border-radius */
.nlhpc-table.table thead tr:first-child th:first-child {
    border-top-left-radius: 6px;
}

  /* top-right border-radius */
.nlhpc-table.table thead tr:first-child th:last-child {
    border-top-right-radius: 6px;
}
  /* bottom-left border-radius */
.nlhpc-table.table tbody tr:last-child td:first-child {
    border-bottom-left-radius: 6px;
}
  /* bottom-right border-radius */
.nlhpc-table.table tbody tr:last-child td:last-child {
    border-bottom-right-radius: 6px;
}

.nlhpc-table.table-striped>tbody>tr:nth-of-type(odd)>* {
    --bs-table-accent-bg: var(--bs-table-striped-bg);
    color: inherit;
    background-color: #84afff33;
}

.nlhpc-listachart{
    font-size: 12px;
}

.dot {
    height: 15px;
    width: 15px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
}

.dot-total{
    background-color: #ceb4f9;
}

.dot-consumidas{
    background-color:  #6610f2;
}

.dot-otorgadas{
    background-color: #8b4bf2;
}

.nlhpc-select{
    background-color:#39559b;
    border-color:#39559b;
    color: white;
    background-image: url("../img/select-arrow.png");
    background-size: 19px 21px;
    min-width: 150px;
}

.nlhpc-cajaec .progress, .nlhpc-cajaec .progress-bar{
    height:20px;
    border-radius: 0px;
}

.nlhpc-columnacentral{
    background-color: #ecf0f5;
}

.nlhpccc-titulo{
    font-weight: 700;
    background-color: #ecf0f5;
    /*border-left:15px solid white;*/
}

.nlhpc-form .input-group-prepend img{
    width: 14px;
}

.nlhpc-form .input-group-text{
    background-color: #09195d;
    border-color: #09195d;
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
}

.nlhpc-form input::placeholder {
    text-align: center; 
    padding-right: 22px;
}

.nlhpc-form .recolv{
font-size:13px;
}

.nlhpc-form .btnreg {
    width: 100%;
    background-color: #39559b;
    border-color: #39559b;
    border-radius: 0.375rem !important;
    /* min-width: 100px; */
    /* max-width: 180px; */
}

.nlhpc-form .nlhpc-select{
    background-color: #e6e6e6;
    background-image: url(../img/select-arro2.png);
    background-size: 41px 36px;
    background-position-x: right;
    color:#4d4d4d;
}

.file-upload-wrapper {
height: 40px;

position: relative;
width: 100%;
}

.file-upload-wrapper::after {
    content: attr(data-text);
    font-size: 18px;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #e6e6e6;
    padding: 10px 15px;
    display: block;
    width: calc(100% - 40px);
    pointer-events: none;
    z-index: 20;
    height: 40px;
    line-height: 20px;
    color: #4d4d4d;
    border-radius: 5px 10px 10px 5px;
    font-weight: 300;
    border-color: #39559b;
    border:1px solid;
}

.file-upload-wrapper::before {
    content: 'ADJUNTAR';
    position: absolute;
    top: 0;
    right: 0;
    display: inline-block;
    height: 40px;
    background: #39559b;
    color: #fff;
    font-weight: 700;
    z-index: 25;
    font-size: 16px;
    line-height: 40px;
    padding: 0 15px;
    text-transform: uppercase;
    pointer-events: none;
    border-radius: 0 5px 5px 0;
}

.file-upload-wrapper:hover {
    background: darken(green, 10%);
    
}

.file-upload-wrapper input {
    opacity: 0;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 99;
    height: 40px;
    margin: 0;
    padding: 0;
    display: block;
    cursor: pointer;
    width: 100%;
}

    .nlhpc-lanoticia .tiemponoticia{
        font-size:12px;
    }

    .nlhpc-lanoticia .fechanoticia{
        font-size:14px;
    }

    .nlhpc-separadornoticia hr{

        border:1px solid #39559b;
        color:#39559b;
        opacity:1;
    }

    .nlhpc-cargarmas .dot {
        height: 15px;
        width: 15px;
        background-color: #39559b;
        border-radius: 50%;
        display: inline-block;
    }

/* panal */
.main-panal {
    display:flex;
    --s: 32px;  /* size  */
    --m: 1px;    /* margin */
    /* --f: calc(var(--s) * 1.732 + 4 * var(--m) - 1px);  */
    --f: calc(var(--s) * 1.732 + 4 * var(--m) - -1.4px); 
    --s2: calc(var(--s) + 4px);  /* size  */
    --m2: 0px;    /* margin */
    --f2: calc(var(--s2) * 1.732 + 4 * var(--m2) - 1px); 
    --s3: calc(var(--s) * .9);
    --s4: calc(var(--s3) - 0px);
    --m3: 1.7px;
    min-height:120px;
}

.container-panal {
font-size: 0; /* disable white space between inline block element */
}

.container-panal div {
width: var(--s);
margin: var(--m);
height: calc(var(--s) * 1.1547);
display: inline-block;
font-size:initial;
clip-path: polygon(0% 25%, 0% 75%, 50% 100%, 100% 75%, 100% 25%, 50% 0%);
margin-bottom: calc(var(--m) - var(--s) * 0.2885);
}

.container-panal div.hex-black {
width: var(--s2);
margin: var(--m2);
height: calc(var(--s2) * 1.1547);
display: inline-block;
font-size:initial;
clip-path: polygon(0% 25%, 0% 75%, 50% 100%, 100% 75%, 100% 25%, 50% 0%);
margin-bottom: calc(var(--m2) - var(--s2) * 0.2885);
}

.container-panal div.smaller {
    width: var(--s4);
    margin: var(--m3);
    height: calc(var(--s4) * 1.1547);
    display: inline-block;
    font-size: initial;
    clip-path: polygon(0% 25%, 0% 75%, 50% 100%, 100% 75%, 100% 25%, 50% 0%);
    margin-bottom: calc(var(--m3) - var(--s4) * 0.2885);
}

.container-panal div.hex-color.smaller {
width: var(--s4);
margin: var(--m4);
height: calc(var(--s4) * 1.1547);
display: inline-block;
font-size: initial;
clip-path: polygon(0% 25%, 0% 75%, 50% 100%, 100% 75%, 100% 25%, 50% 0%);
margin-bottom: calc(var(--m3) - var(--s4) * 0.2885);
}

.container-panal::before {
content: "";
width: calc(var(--s) / 2 + var(--m));
float: left;
height: 120%; 
shape-outside: repeating-linear-gradient(#0000 0 calc(var(--f) - 3px), #000 0 var(--f));
}

.hex{
background: #ffc5cf;
}

.hex-fake .smaller{
    background: #ffc5cf;
}

.hex-disponible{
    background-color: #89e195;
}

.hex-no-disponible{
background-color: #c9c9c9;
}


.hex-mantencion{
background-color: #3d74ad;
}

.hex-black.active
{
background-color: black;
}

.hex-black
{
background-color: transparent;
/* transition: 0.2s; */
}

.hex-black:hover{
/* background-color: rgb(46, 46, 46); */
opacity: 0.5;
/* css standard */
filter: alpha(opacity=100);
}
.hex-fake{
background-color: transparent;
}


.active-node{
background-color: #5a5a5a;
transition: 0.4s;
}
.active-debug{
    background-color: #4B74AD;
}
.active-slim {
    background-color: #F5C7CF;
}
.active-general {
    background-color: black;
}
.active-largemem {
    background-color: black;
}
.active-gpus {
    background-color: black;
}
.nlhpc-listaec{
    font-size: 12px;
}

.nlhpc-menuec{
    font-size:12px;
}

.nlhpc-menuec a{
text-decoration: none;
color:#000;
cursor: pointer;
user-select: none;
/* text-decoration: underline; */
}

.nlhpc-menuec a.active_link{
font-weight: 700;
/* text-decoration: underline; */
background-color: var(--bs-primary);
    color: white;
/* opacity: 0.5; */
padding: 5px 20px;
border-radius: 5px;
}

.dot-disponible{
    background-color: #89e195;
}

.dot-altouso{
    background-color: #c9473f;
}

.dot-nodisponible{
    background-color: #c9c9c9;
}

.dot-bajouso{
    background-color: #ffc5cf;
}

.dot-mantencion
{
    background-color: #3d74ad;
}

    .main-column{
        position: relative;
        padding:0;
        padding-left:68px;
    }

    .left-side-column{
        position:relative;
        padding:0;
        min-width: 68px;
    }

    @media screen and (min-width: 320px) {

        .centered-list{
            display: flex;
            justify-content: center;
            align-items: center;
        }


    }

    .tooltip {
        position: relative;
        display: inline-block;
        border-bottom: 1px dotted black; 
    }

    .tooltip .tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: black;
    color: #fff;
    text-align: center;
    padding: 5px 0;
    border-radius: 6px;
    
    position: absolute;
    z-index: 1;
    }

    .tooltip:hover .tooltiptext {
        visibility: visible;
    }

    /* Paginación */

    .active > .page-link, .page-link.active{
        background-color: #091a5e;
        border-color: #a4a6af;
    }

    /* Custom progress */
    .progress {
        --bs-progress-bg: #cbcbcb;
    }

    .progress.green{
        --bs-progress-bar-bg: #167e2b;
    }

    /* Barra de degrade */
    .degrade-bar {
        top: -14px;
        height: 24px;
        margin: 12px 0px;
        border-radius: 12px;
        position:relative; /* relative here */
        background-image: linear-gradient(to right, #ffc5cf, #ff0000); /* your gradient here */
    }

/* @media (max-width: 768px){
    .main-panal {
                --s: 28px;
                --m3: 2.9px;
        }

} */
    
    .dataTables_length, .dataTables_info{
            float: left !important;
            font-size: 12px!important;
    }

    .dataTables_info{
        font-size: 12px!important;
    }

    .dataTables_length select{
        font-size: 12px!important;
    }

    .dataTables_filter{
        font-size: 12px!important;
    }

    .dataTables_filter input{
        font-size: 12px!important;
    }


    .visible {
        height: 3em;
        width: 10em;
        /* background: yellow;
            */
    }

    /*pagination number*/
    .page-link{
        color: #39559b;
    }

    .vert-centered{
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .text-dark{
        color: var(--text-dark) !important;
    }

    #dropdown_username{
        transform: translate3d(-47.2px, 74px, 0px)!important;
    }